Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Dynamic_Hash_OpTable Class Reference

`#include <Operation_Table.h>`

Inheritance diagram for TAO_Dynamic_Hash_OpTable:

[legend]
Collaboration diagram for TAO_Dynamic_Hash_OpTable:

[legend]
List of all members.

## Public Methods
| TAO_Dynamic_Hash_OpTable (const TAO_operation_db_entry *db, CORBA::ULong dbsize, CORBA::ULong hashtblsize, ACE_Allocator *alloc)
| ~TAO_Dynamic_Hash_OpTable (void)
virtual int | bind (const char *opname, const TAO_Skeleton skel_ptr)
virtual int | find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length=0)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< const char *, TAO_Skeleton, ACE_Hash< const char *>, ACE_Equal_To< const char *>, ACE_Null_Mutex > | OP_MAP_MANAGER
## Private Attributes
OP_MAP_MANAGER | hash_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<const char *, TAO_Skeleton, ACE_Hash<const char *>, ACE_Equal_To<const char *>, ACE_Null_Mutex> TAO_Dynamic_Hash_OpTable::OP_MAP_MANAGER`[private]`

## Constructor & Destructor Documentation

TAO_Dynamic_Hash_OpTable::TAO_Dynamic_Hash_OpTable | ( | const TAO_operation_db_entry * | db,
|  | CORBA::ULong | dbsize,
|  | CORBA::ULong | hashtblsize,
|  | ACE_Allocator * | alloc
| ) |

TAO_Dynamic_Hash_OpTable::~TAO_Dynamic_Hash_OpTable | ( | void |  | ) |

## Member Function Documentation

int TAO_Dynamic_Hash_OpTable::bind | ( | const char * | opname,
|  | const TAO_Skeleton | skel_ptr
| ) | `[virtual]`

| Reimplemented from TAO_Operation_Table.

int TAO_Dynamic_Hash_OpTable::find | ( | const char * | opname,
|  | TAO_Skeleton & | skel_ptr,
|  | const unsigned int | length = 0
| ) | `[virtual]`

| Reimplemented from TAO_Operation_Table.

## Member Data Documentation

OP_MAP_MANAGER TAO_Dynamic_Hash_OpTable::hash_`[private]`

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp